#!/bin/sh

jail="--JAILUPDIR--"
usretcdir=/usr/local/etc
export PATH=/bin
#ulimit -Sn 12

case "$1" in
stop)
    echo -n ' apache-jail'
      /usr/bin/sed -e 's|#.*$||' < ${usretcdir}/apache-jail.rc\
    | /usr/bin/awk\
      "/^[ 	]*[SsHh][	 ]+/{
        pidfi=\"${jail}/\" \$2 \"/var/run/httpd.pid\";
        print \"[ -f \" pidfi \" ] && kill \`cat \" pidfi \"\` && /bin/rm -f \" pidfi;
      }"\
    | sh -e
    ;;
restart)
    echo -n ' apache-jail'
      /usr/bin/sed -e 's|#.*$||' < ${usretcdir}/apache-jail.rc\
    | /usr/bin/awk\
      "/^[ 	]*[SsHh][	 ]+/{
        pidfi=\"${jail}/\" \$2 \"/var/run/httpd.pid\";
        print \"[ -f \" pidfi \" ] && kill  -USR1 \`cat \" pidfi \"\`\";
      }"\
    | sh -e
    ;;
start)
    echo -n 'apache-jail'
      /usr/bin/sed -e 's|#.*$||' < ${usretcdir}/apache-jail.rc\
    | /usr/bin/awk\
      "/^[ 	]*[Ss][	 ]+/{
        print \"/usr/sbin/jail ${jail}/\" \$2, \$3, \$4, \"/usr/libexec/httpd -f /etc/apache/httpd.conf -DSSL\";
      }
      /^[ 	]*[Ss][	 ]+/{
        print \"/usr/sbin/jail ${jail}/\" \$2, \$3, \$4, \"/usr/libexec/httpd -f /etc/apache/httpd.conf\";
      }"\
    | sh -e
    ;;
*)
    echo use start or stop
    ;;
esac
